import { MessageCenter } from "event-message-center";
import { ITaskQueue, IQueueList, IQueues, IState, IQueueTemp } from "./type";
export declare class TaskQueue implements ITaskQueue {
    readonly fix: string;
    readonly messageCenter: MessageCenter;
    readonly maxLen: number;
    queues: IQueueList;
    queueTemp: IQueueTemp;
    state: IState;
    constructor({ maxLen }: {
        maxLen: any;
    });
    private init;
    push: (queue: IQueues) => Promise<void>;
    unshift: (length: any) => import("./type").IQueue[];
    run: (reject: any) => Promise<IState | MessageCenter>;
    clear: () => void;
    private finish;
    private stateProxy;
    private checkHandler;
    private fixStr;
    private defer;
}
export declare const decoratorTaskQueue: (opts: any) => (proto: any) => void;
export default TaskQueue;
